Subject: Re: [MEXT] Issue #7 - 3775bis

From: Christian Kaas-Petersen <[email-masked]>
Date: Sun, 8 Mar 2009 20:01:48 +0000 (GMT)

Also draft-premec-mext-extended-home-link-01 (unfortunately only draft 00
is available on tools.ietf.org) suggests

    lifetime > 0
    IPv6 care-of address = IPv6 home address

together with the presence of the IPv4 home address option to be used
as a way for a mobile node to attach to an IPv6-only home link and still
receive IPv4 traffic tunneled over IPv6.  Unless the home agent
has enabled this extended home link functionality, I think as Vijay,
the home agent should consider such a packet an error.

Christian

--- Den lør 7/3/09 skrev Vijay Devarapalli <[email-masked]>:

> Fra: Vijay Devarapalli <[email-masked]>
> Emne: Re: [MEXT] Issue #7 - 3775bis
> Til: "Charles E. Perkins" <[email-masked]>
> Cc: "mext" <[email-masked]>
> Dato: lørdag 7. marts 2009 00.55
> Hi Charlie, 
> 
> > Hello Vijay,
> > 
> > O.K.  Thanks for the text.  I have made the
> requested change.
> > 
> > With this change, it was the overall plan to be able
> to close
> > issue #7. If anyone does not agree, please let me
> know.
> > 
> > What should the home agent do if it receives a packet
> in
> > which the care-of address matches the home address,
> but
> > the lifetime is not zero?
> 
> This is an error. If the mobile node is attached to a
> visited link, it
> shouldn't be sending a packet to the home agent with the
> source address
> set to the home address. The only time, the home address
> would match the
> care-of address is when the mobile node is sending a
> binding update from
> the home link. As far as RFC 3775 is concerned, the mobile
> node cannot
> have a binding when it is attached to the home link.
> Therefore the
> lifetime is going to be 0 anyway. 
> 
> The Multiple CoA draft extends Mobile IPv6 by allowing a
> mobile node to
> have a valid binding even when attached to the home link.
> But this is
> indicated by a new flag in the binding update. This is
> already described
> in detail in the Multiple CoA draft.
> 
> Vijay
> 
> > 
> > Regards,
> > Charlie P.
> > 
> > 
> > Vijay Devarapalli wrote:
> > > On issue #7 (http://tools.ietf.org/wg/mext/trac/ticket/7),
> > > draft-ietf-mip6-nemo-v4traversal has already been
> updated to say 
> > >
> > >    When the home agent receives the
> encapsulated binding update, it
> > >    compares the IPv4 address of the
> source address field in the IPv4
> > >    header with the IPv4 address
> included in the IPv4 care-of address
> > >    option.  If the two addresses
> match, no NAT device was 
> > in the path.
> > >
> > > So this fixes part of the issue.
> > >
> > > Regarding the text in section 9.5.1 in RFC 3775,
> based on 
> > the earlier
> > > discussions, we should replace the following
> > >
> > >    o  If the Lifetime specified in
> the Binding Update is zero or the
> > >       specified care-of
> address matches the home address for the
> > >       binding, then this
> is a request to delete the cached 
> > binding for
> > >       the home address.
> 
> > >
> > > with
> > >
> > >    o  If the Lifetime specified in
> the Binding Update is zero, then 
> > >       this is a request
> to delete the cached binding for the home 
> > >       address. 
> > >
> > > Vijay
> > >
> > >
> > >
> > >   
> > 
> > 
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext
> 

      Trænger du til at se det store billede? Kelkoo giver dig gode tilbud på LCD TV! Se her http://dk.yahoo.com/r/pat/lcd